Pin Group Conversation
curl --request POST \
--url https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation/pin \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation/pin"
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {onBehalfOf: '<onbehalfof>', apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"conversationId": "supergroup",
"conversationType": "group",
"pinnedBy": "superhero1",
"pinnedAt": 1700210300
}
}{
"error": {
"code": "ERR_PINNED_CONVERSATIONS_LIMIT_EXCEEDED",
"message": "The number of pinned conversations for the user with uid superhero1 exceeds the allowed limit of 5."
}
}{
"error": {
"code": "ERR_SYSTEM_PINNED_CONVERSATION",
"message": "The conversation is pinned for all users by the app and can not be pinned by a user."
}
}Conversations
Pin Group Conversation
Pin a CometChat group conversation for a user with REST API so it appears at the top of their conversation list.
POST
/
groups
/
{guid}
/
conversation
/
pin
Pin Group Conversation
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
GUID of the group whose conversation needs to be fetched.
Response
Pinning a group conversation
Was this page helpful?